summaryrefslogtreecommitdiffstats
path: root/bin/nixos-build
diff options
context:
space:
mode:
authortv <tv@shackspace.de>2015-05-21 23:52:06 +0200
committertv <tv@shackspace.de>2015-05-21 23:52:06 +0200
commitf8b1e849a6a3bd53f24a4aac70bc904cdb5ff711 (patch)
tree826235e1b776665ab32ee787bb96cd3b6f519d95 /bin/nixos-build
parentac764394050f6fc39e406799085259d3fc08956a (diff)
deploy: merge next
Diffstat (limited to 'bin/nixos-build')
-rwxr-xr-xbin/nixos-build25
1 files changed, 25 insertions, 0 deletions
diff --git a/bin/nixos-build b/bin/nixos-build
new file mode 100755
index 00000000..a0c9551f
--- /dev/null
+++ b/bin/nixos-build
@@ -0,0 +1,25 @@
+#! /bin/sh
+#
+# build : hostname -> system-path
+#
+set -euf
+
+host=$1
+
+#target=root@$host
+
+nixpkgs=$nixpkgs_root/$host
+nixos_config=$config_root/modules/$host
+secrets_nix=$secrets_root/$host/nix
+secrets_rsync=$secrets_root/$host/rsync
+
+nixos-fetch-git "$host"
+
+nix-build \
+ -I "$nixpkgs" \
+ -I nixos-config="$nixos_config" \
+ -I retiolum-hosts="$retiolum_hosts" \
+ -I secrets="$secrets_nix" \
+ -A system \
+ --no-out-link \
+ '<nixos>'